import com.screenscraper.scraper.*;
import com.screenscraper.common.*;

public class Shopping
{
	public static void main( String args[] )
	{
		try
		{
			// Generate a RemoteScrapingSession object, which 
			// acts as the driver, or interface, to screen-scraper.
			// If you're running screen-scraper on a different computer 
			// than the one the Java file resides on you'll want to 
			// modify and use the top version instead of the bottom one.
			//RemoteScrapingSession remoteScrapingSession = new RemoteScrapingSession("Shopping Site", "192.168.0.5", 8778 );
			RemoteScrapingSession remoteScrapingSession = new RemoteScrapingSession("Shopping Site");
			remoteScrapingSession.setVariable( "PAGE", "1" );

			// Set the variables.
			// Remember that these two top variables correspond to the POST
			// parameters we use for the "Login" scrapeable file.
			remoteScrapingSession.setVariable( "EMAIL_ADDRESS", "test@test.com" );
			remoteScrapingSession.setVariable( "PASSWORD", "testing" );
			// screen-scraper will use this parameter to search the products.
			remoteScrapingSession.setVariable("SEARCH","dvd");
			// We start screen-scraper at page 1 of the search results.
			// Note that we could have also done this in an "initialize" 
			// script within screen-scraper, which is common.
			remoteScrapingSession.setVariable( "PAGE", "1" );

			// Tell the session to scrape. This method call might take
			// a little while since it will need to wait for screen-scraper
			// to fully extract the data before it returns.
			remoteScrapingSession.scrape();

			// Get the data set that was stored by screen-scraper in a
			// session variable. This data set corresponds to the "PRODUCTS"
			// extractor pattern found under the "Details page" scrapeable
			// file.
			DataSet products = ( DataSet )remoteScrapingSession.getVariable( "PRODUCTS" );

			// Iterate through each of the data records screen-scraper
			// extracted, outputting each of them to the browser.
			for( int i = 0; i < products.getNumDataRecords(); i++ )
			{
				DataRecord product = products.getDataRecord( i );
				System.out.println( "=======================================" );
				System.out.println( "Product #" + i );
				System.out.println( "Title: " + product.get( "TITLE" ) );
				System.out.println( "Model: " + product.get( "MODEL" ) );
				System.out.println( "Shipping Weight: " + product.get( "SHIPPING_WEIGHT" ) );
				System.out.println( "Manufactured By: " + product.get( "MANUFACTURED_BY" ) );
				System.out.println( "=======================================" );
			}

			// Be sure to disconnect from the server.
			remoteScrapingSession.disconnect();
		}
		catch( Exception e )
		{
			System.err.println( e.getMessage() );
		}
	}

}
